%Model and Simul variables:
%--------------------------
%Simul.sol = 0;          %Time analysis
%Simul.sol = 0.2;        %Time + MultiPhi analysis
%Simul.sol = 1;          %Static analysis
Simul.sol = 2;          %Dynamic analysis, modal analysis
%Simul.sol = 3;          %Damped dynamic analysis, complex modal analysis
%Simul.sol = 4;          %Rotordynamic analysis, complex modal analysis

Simul.state_FMs = 0;    %no prestressed structure
%Simul.state_FMs = 1;    %prestressed structure

Model.Model_file = 'Losi_5ive_7dofs_param_k.m';
Model.Model_dir = ...
    [Model.Main_dir 'Models\Car_Losi_5ive_7dofs\2020-10-15_Car_Losi_5ive_7dofs'];
%% Switches
body_case = menu('Do you want to test..?','Chassis+Wheels','Chassis+Wheels+Body'); % switch to choose to test whole vehicle or just the Chassis case
bars_case = menu('Do you want to insert Anti-roll bars?','No','Yes');              % switch to insert Anti-roll bars
if bars_case == 2
    bars_which = menu('Which Anti-roll bar do you want?','Front','Rear','Both');   % switch to choose the Anti-roll bar
end
param_k = menu('Parametric k analysis','Fix a Front spring and change the Rears','Fix a Rear spring and change the Fronts');
Simul.config = 3;        %Parametric analysis, Select vector config...
if param_k == 1
    K_S1_i = menu('Choose which Front Spring to FIX (Rears will change):',...
              'Blue', 'Gold', 'Red', 'Orange');
   Simul.config_data = '[1411.2 1640 1887.48]';                            % Rear spring stiffness [N/m] [Blue Red Orange]
end
if param_k == 2
   K_S2_i = menu('Choose which Rear Spring to FIX (Front will change):',...
              'Blue', 'Red', 'Orange');
   Simul.config_data = '[1816.92 2046.24 2275.56 2504.88]';                % Front spring stiffness [N/m] [Gold Blue Red Orange]
end
 

%Option variables:
%-----------------
Model.repair = 1;       %check and repair model 0 = off, 1 = on
Simul.matrix = 2;       %full = 1, sparse = 2
Simul.SymmSkew = 1;     %correction of symmetric or skew-symmetric matrices 0 = off, 1 = on
Simul.K_type = 2;       %Euler-Bernoulli = 1, Timoshenko = 2
Simul.Nke = 0;          %Kinetic energy evaluation 0 = off, 1 = on
Simul.Nse = 0;          %Strain energy evaluation 0 = off, 1 = on
Simul.num_modes = '7';
Simul.plot_modes = '[1:1:7]';

Simul.MAC_flag = 1;     %No correlation

Simul.MAC_param = '0';  %No correlation, no use

Simul.num_modes_excl = '0';
Simul.col_offset = '0';

Simul.graph = 0;        %no graphics

