close all;
clc;
clear all;
%Parameters' Front gold spring
s=6.75; %numbers of active spires
d_w=0.0027; %wire diameter [m]
G=80769230769; %tangential modulus
d_h=0.0353; %helix diameter
k_t=(G*d_w^4)/(8*s*d_h^3); %theoretical stiffness [N/m]
k_n=1816.92; %nominal stiffness [N/m]

%% STIFFNESS
open k_gold_trend_Lupos.fig %open fig file
D=get(gca,'Children'); %get the handle of the line object
n=get(D,'XData'); %Nodes per spire[-]
stiffness_L=get(D,'YData'); % LUPOS stiffness for FRONT GOLD SPRING (SOFT)
stiffness_T=k_t*ones(length(n),1)'; % Theoretic stiffness for FRONT GOLD SPRING (SOFT)
stiffness_n=k_n*ones(length(n),1)'; % Nominal stiffness for FRONT GOLD SPRING (SOFT)
figure(2)
set(gcf,'Color',[1 1 1]);
set(gcf,'Name','Convergence analysis');
plot(n,stiffness_L,'-bo','Linewidth',2,'MarkerSize',6,'Displayname','Lupos')
hold on
plot(n,stiffness_n,':r','Linewidth',2,'MarkerSize',7,'Displayname','Nominal')
hold on
plot(n,stiffness_T,'-k','Linewidth',2,'MarkerSize',6,'Displayname','Theoretic')

%xlim([-0.2 n(end,1)])
%ylim(0.1*[-1 +1])
xlabel('Nodes per spire [-]','Fontsize',12)
ylabel('K [N/m]','Fontsize',12)
%plot(xlim,0*[1 1],':k','Handlevisibility','off')
%plot(0*[1 1],ylim,':k','Handlevisibility','off')
zoom on
legend('show')
%% Percentage error between Lupos and Nominal Stiffness
disp(['Nodes per spire-Percentage error between Lupos and Nominal FRONT Stiffness']);
err=(stiffness_L-stiffness_n)./stiffness_n*100; 
[n',err']
