% Compression vs Extention Front Gold
%% k sperimentale -compressione
close all
clear all 
clc
% MASSE MISURATE
m_05 = 0.4765;                   % 0.5 kg massa nominale 
m_1 = 1.0136;                    % 1.0 kg massa nominale
m_2a = 1.955;                    % 2.0 kg massa nominale
m_2b = 1.9771;                   % 2.0 kg massa nominale
m_5 = 5.121;                     % 5.0 kg massa nominale
M = 5.036;                       % lastra
m_chain = 0.0603;                % 60.3 g catena + moschettone
% Compressione
l = [17.25 17.4 17.55 17.7 17.85 17.95 18.15 18.25 18.35 18.5 18.65 18.8 19 19.15 19.25 19.40 19.55 19.65 19.80 19.90 20.15 20.25]'.*0.01; % distanze misurate sotto carico
offset = 17.25*0.01*ones(length(l),1);                                      
delta =(offset-l)*2;                                                          % allungamento [m]
F = -[M M+m_05 M+m_1 M+m_05+m_1 M+m_2b M+m_2b+m_05 M+m_2b+m_1 M+m_2b+m_1+m_05 M+m_2b+m_2a M+m_2b+m_2a+m_05 M+m_2b+m_2a+m_1 M+m_2b+m_2a+m_1+m_05 M+m_5+m_1 M+m_5+m_1+m_05 M+m_5+m_2a M+m_5+m_2a+m_05 M+m_5+m_2a+m_1 M+m_5+m_2a+m_1+m_05 M+m_5+m_2a+m_2b M+m_5+m_2a+m_2b+m_05 M+m_5+m_2a+m_2b+m_1 M+m_5+m_2a+m_2b+m_1+m_05]'*9.81; % vettore Forze con passo 0.5 kg
p = polyfix(delta,F,1,0,0);                                                % polyfit                                                
k = p(1); 
delta = F/k;
% Estensione
file = 'LOSB2964_YF.txt';
data_e = load(file);
offset_e = data_e(1,1)*ones(8,1);                                              % distanza lamiera-mirino a vuoto (senza catena n peso)
l_e = data_e(2:9,1);                                                           % distanza lamiera-mirino sottocarico 
delta_e = offset_e-l_e;                                                        % allungamento [m]
F_e = [m_05 m_1 (m_05+m_1) m_2a (m_2a+m_05) (m_2a+m_1) (m_2a+m_1+m_05) (m_2a+m_2b)]'*9.81+ones(8,1)*m_chain*9.81; % vettore Forze con passo 0.5 kg
p_e = polyfix(delta_e,F_e,1,0,0); 
figure(1)
set(gcf,'Color',[1 1 1]);
set(gcf,'Name','compression vs extention');
plot(delta,F,'bo','MarkerSize',6)
hold on
plot(delta,polyval(p,delta),'b-','Linewidth',2);     
hold on
plot(delta_e,F_e,'xr','MarkerSize',7)
hold on
plot([0;delta_e],[0;polyval(p_e,delta_e)],':r','Linewidth',2);     
hold on
plot([0 -0.01682],[0 -49.4],'-.k','Linewidth',2);
hold on
legend('Compression data','Compression Fit','Extention data','Extention fit','linking','Location','Southeast')
xlabel('\Delta x [m]','Fontsize',12)
ylabel('Force [N]','Fontsize',12)
zoom on
grid on
