%% k sperimentale -compressione
close all
clear all 
clc
% MASSE MISURATE
m_05 = 0.4765;                   % 0.5 kg massa nominale 
m_1 = 1.0136;                    % 1.0 kg massa nominale
m_2a = 1.955;                    % 2.0 kg massa nominale
m_2b = 1.9771;                   % 2.0 kg massa nominale
m_5 = 5.121;                     % 5.0 kg massa nominale
M = 5.036;                       % lastra

% Gold spring
l = [17.25 17.4 17.55 17.7 17.85 17.95 18.15 18.25 18.35 18.5 18.65 18.8 19 19.15 19.25 19.40 19.55 19.65 19.80 19.90 20.15 20.25]'.*0.01; % distanze misurate sotto carico
offset = 17.25*0.01*ones(length(l),1);                                     
delta =l-offset;                                                          % allungamento [m]
F = [M M+m_05 M+m_1 M+m_05+m_1 M+m_2b M+m_2b+m_05 M+m_2b+m_1 M+m_2b+m_1+m_05 M+m_2b+m_2a M+m_2b+m_2a+m_05 M+m_2b+m_2a+m_1 M+m_2b+m_2a+m_1+m_05 M+m_5+m_1 M+m_5+m_1+m_05 M+m_5+m_2a M+m_5+m_2a+m_05 M+m_5+m_2a+m_1 M+m_5+m_2a+m_1+m_05 M+m_5+m_2a+m_2b M+m_5+m_2a+m_2b+m_05 M+m_5+m_2a+m_2b+m_1 M+m_5+m_2a+m_2b+m_1+m_05]'*9.81; % vettore Forze con passo 0.5 kg
p = polyfix(delta,F,1,0,M*9.81);                                                % polyfit                                                

figure(1)
set(gcf,'Color',[1 1 1]);
set(gcf,'Name','2 Front Gold');
plot(delta,F,'bo','MarkerSize',6)
hold on
plot(delta,polyval(p,delta),'b-','Linewidth',2);     
hold on
xlabel('x [m]','Fontsize',12)
ylabel('Force [N]','Fontsize',12)
zoom on

k = p(1);                          % stiffness tot
disp(['k = ',num2str(k),' N/m']);
k1 = k/2;                           
disp(['k1 = ',num2str(k1),' N/m']); %stiffness single
% coeff di determinazione
mdl = fitlm(l,F);
r2 = mdl.Rsquared.Adjusted;
disp(['R2 = ',num2str(r2)]);
% xlim([0 0.03]) 
% ylim([0 45])
