% Accelerometers location
clc
clear all
close all

% Wheel points
p1 = [-0.305 -0.228]; % Wheel RR
p2 = [+0.305 -0.228]; % Wheel FR
p3 = [+0.305 +0.228]; % Wheel FL
p4 = [-0.305 +0.228]; % Wheel RL
% Chassis points
p5 = [-0.225 -0.065]; % Chassis RR
p6 = [+0.245 -0.065]; % Chassis FR
p7 = [+0.245 +0.065]; % Chassis FL
p8 = [-0.225 +0.065]; % Chassis RL
% New chassis points
p11 = [-0.0950	-0.0400]; % Chassis RR
p12 = [0.1150	-0.0400]; % Chassis FR
p13 = [0.0950	0.0100]; % Chassis FL
p14 = [-0.0500	0.0660]; % Chassis RL

% Load cell points
p9 = [-0.235 +0.015]; % Load cell (centrale)
p10 = [-0.125 -0.07]; % Load cell (laterale)

figure(1)
plot([p1(1),p2(1),p3(1),p4(1)],[p1(2),p2(2),p3(2),p4(2)],'ob','Linewidth',2);
hold on
plot([p5(1),p6(1),p7(1),p8(1)],[p5(2),p6(2),p7(2),p8(2)],'*k','Linewidth',2);
hold on
plot([p9(1),p10(1)],[p9(2),p10(2)],'xr','Linewidth',2);
hold on
xlabel('X [m]','Fontsize',12)
ylabel('Y [m]','Fontsize',12)
xlim([-0.4 0.7])
legend('Wheel accel.','Chassis accel.','Load cells')
grid on
figure(2)
plot([p1(1),p2(1),p3(1),p4(1)],[p1(2),p2(2),p3(2),p4(2)],'ob','Linewidth',2);
hold on
plot([p5(1),p6(1),p7(1),p8(1)],[p5(2),p6(2),p7(2),p8(2)],'*k','Linewidth',2);
hold on
plot([p11(1),p12(1),p13(1),p14(1)],[p11(2),p12(2),p13(2),p14(2)],'vm','Linewidth',2);
hold on
plot([p9(1),p10(1)],[p9(2),p10(2)],'xr','Linewidth',2);
hold on
xlabel('X [m]','Fontsize',12)
ylabel('Y [m]','Fontsize',12)
xlim([-0.4 0.7])
legend('Wheel accel.','Chassis accel.','New points','Load cells')
grid on


