% Calcolo frequenze naturali per veicolo a 4 gdl
clc
clear all
close all

a = 0.305;                            % semipasso [m]
m = 11.95;                            % massa sospesa
m_p = 2.495/2;                        % massa 2 pneumatici

Jy = 0.725;                           % momento di inerzia
k_spring_f = 2046.24;                 % rigidezza molla blu frontale [N/m]
k_spring_r = 1411.2;                  % rigidezza molla blu posteriore [N/m]
k_z_f = k_spring_f*sin(1.0964);       % k componente z frontale [N/m] 
k_z_r = k_spring_r*sin(1.0553);       % k componente z posteriore [N/m] 
IR_f = (0.072/0.188)^2;               % Installation ratio frontale 
IR_r = (0.11/0.188)^2;                % Installation ratio posteriore 
k_f = 2*k_z_f*IR_f;                   %rigidezza molle frontali in parallelo [N/m]
k_r = 2*k_z_r*IR_r;                   %rigidezza molle posteriori in parallelo [N/m]
k_p = 2*18277;                        %rigidezza pneumatici in parallelo [N/m]

M = [m 0 0 0;0 Jy 0 0; 0 0 m_p 0; 0 0 0 m_p]; %matrice massa
K = [k_f+k_r, (k_r-k_f)*a, -k_f, -k_r; (k_r-k_f)*a, (k_r+k_f)*a^2, k_f*a, -k_r*a;-k_f, -k_r, k_p+k_f, 0;, k_f*a, -k_r*a, 0, k_p+k_r]; %matrice rigidezza
w2 = eig(K,M);
f = sqrt(w2)/(2*pi)